Subject: [bug#68228] [PATCH v3] gnu: Add gnome-software.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 18 Mar 2025 15:45:22 +0900

Hi,

Noé Lopez <[email-masked]> writes:

> Liliana Marie Prikler <[email-masked]> writes:
>
>> Am Montag, dem 17.03.2025 um 11:15 +0100 schrieb Noé Lopez:
>>> Surely? The real blocker for me is /etc/machine-id, it seems to need
>>> to exist for most tests to run, and I suspect also the tests that
>>> fail with dbus would fail with it too.
>>> 
>>> But creating /etc/machine-id leads to a permission error.
>> Does anything actually read this file?  Because if not, that's just a
>> dbus warning that can be made non-fatal by setting the appropriate
>> environment variable.
>>
>
> I got confused, because the fatal warning was actually made by
> gnome-software (to check if it would be able to start dbus!!!).  I
> deleted the warning, and added a dbus session, but now its requiring a
> dbus system session.  Do you know of any way to start one? I couldn’t
> find any packages doing this, and dbus-daemon --system fails miserably
> (tries to access /var/run/dbus/system_bus_socket).

Did you inspect their CI script/workflow file for clues?

-- 
Thanks,
Maxim